[Deprecated]: V1.0
get
/ec-designer-svc/rest/v1.0/studies/{studyId}/approved/objectids
Deprecated: Use latest version instead. Retrieves a list of IDs of all artifacts in a specified approved study. An artifact refers to anything that belongs to the study design, for example: forms, randomization, treatment arm, kits, etc.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required. Example: F054C951EB74443C93716CA714AB686EExample:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11
Query Parameters
-
all: boolean
Include all supported approved study design object types.Default Value:
falseExample:false -
arms: boolean
Include approved treatment arm IDs.Default Value:
falseExample:false -
calculateddoses: boolean
Include approved calculated dose IDs.Default Value:
falseExample:false -
cohorts: boolean
Include approved cohort and cohort factor IDs.Default Value:
falseExample:false -
forms: boolean
Include approved form IDs.Default Value:
falseExample:false -
inclEverApproved: boolean
Return form and form item IDs that were ever approved instead of only currently approved IDs.Default Value:
falseExample:false -
items: boolean
Include approved form item IDs.Default Value:
falseExample:false -
kits: boolean
Include approved kit IDs.Default Value:
falseExample:false -
rands: boolean
Include approved randomization IDs.Default Value:
falseExample:false -
visits: boolean
Include approved visit IDs.Default Value:
falseExample:false
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
string(uuid)
Approved study design object ID (UUID, 32-character uppercase hexadecimal string).Example:
B1B8327AFAA6412287106192AB5984EF
Examples
404 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}